Transactions

Get a list of transactions

Use this method to obtain a list of transactions (such as deposits, withdrawals, exchanges, and transfers) made on accounts owned by the currently authorized client. When a request doesn’t include a filter parameter indicating the transaction *type*, a response includes transactions of all types. **Note:** A response includes transactions with any status, except for those marked as *new*.

GET
/api/v2/my/transactions

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

limit?integer

Sets the limit

Range1 <= value <= 1000
Default10
offset?integer

Sets the offset

Range0 <= value
Default0
sort_order?string

Sorts the items in ascending or descending order

Default"desc"

Value in

  • "asc"
  • "desc"
sort_by?string

Sorts the items by a specified value

Default"createTime"

Value in

  • "createTime"
  • "creditAmount"
  • "debitAmount"
filter?

Filters the items by a specified value

Header Parameters

accept-language?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/my/transactions?limit=10&offset=0&sort_order=desc" \  -H "accept-language: ja"
{  "total": 1,  "data": [    {      "transactionId": 1,      "creditDetails": {        "account": {          "accountId": 1,          "accountNumber": "12345678",          "displayNumber": "12345678",          "archive": false,          "caption": "USD",          "currency": {            "alphabeticCode": "USD",            "minorUnit": 2,            "name": "US Dollar",            "numericCode": 840          },          "favourite": true,          "group": {            "id": 1,            "name": "Fiat",            "type": "default",            "priority": 0          },          "platform": {            "id": 1,            "name": "MetaTrader 5",            "caption": "MetaTrader5 Live",            "type": "MetaTrader5",            "isDemo": true,            "terminalUrl": "https://example.com"          },          "priority": 1,          "statement": {            "availableBalance": "1.000000000000000000",            "currentBalance": "1.000000000000000000",            "credit": "1.000000000000000000",            "equity": "1.000000000000000000",            "freeMargin": "1.000000000000000000",            "hold": "1.000000000000000000",            "margin": "1.000000000000000000",            "marginLevel": "1.000000000000000000",            "pnl": "1.000000000000000000",            "updateTime": "2022-01-01T00:00:00+00:00"          },          "type": "trade",          "createTime": "2022-01-01T00:00:00+00:00",          "permissions": [            "deposit"          ],          "productId": 1,          "leverage": 100,          "productCurrency": {            "id": 1,            "caption": "USD",            "product": {              "id": 1,              "type": "personal",              "name": "MT5 Live",              "caption": "MT5 Live",              "group": {                "id": 1,                "caption": "Fiat",                "description": "Fiat",                "type": "default",                "priority": 0,                "createTime": "2022-01-01T00:00:00+00:00",                "updateTime": "2022-01-01T00:00:00+00:00"              },              "platform": {                "id": 1,                "caption": "MetaTrader5 Live",                "shortCaption": "MT5",                "name": "mt5",                "class": "MetaTrader5",                "isDemo": true              }            },            "currency": {              "alphabeticCode": "USD",              "minorUnit": 2,              "name": "US Dollar",              "numericCode": 840            },            "factory": 1,            "variants": {              "startAmounts": [                "100.00"              ],              "leverages": [                0              ]            },            "platformGroups": [              "string"            ],            "isHedgingEnabled": true,            "maxAccounts": 1,            "permissions": [              "deposit"            ],            "priority": 1,            "linkInfo": "https://example.com",            "agreementLink": "https://example.com",            "minDepositAmount": "100.00"          },          "credentials": {            "type": "MetaTrader4",            "data": {              "login": "12345678",              "masterPassword": "Aa1!secret",              "investorPassword": "Aa1!invest"            }          }        },        "amount": "100.000000000000000000",        "commission": "0.000000000000000000",        "currency": {          "alphabeticCode": "USD",          "minorUnit": 2,          "name": "US Dollar",          "numericCode": 840        }      },      "debitDetails": {        "account": {          "accountId": 1,          "accountNumber": "12345678",          "displayNumber": "12345678",          "archive": false,          "caption": "USD",          "currency": {            "alphabeticCode": "USD",            "minorUnit": 2,            "name": "US Dollar",            "numericCode": 840          },          "favourite": true,          "group": {            "id": 1,            "name": "Fiat",            "type": "default",            "priority": 0          },          "platform": {            "id": 1,            "name": "MetaTrader 5",            "caption": "MetaTrader5 Live",            "type": "MetaTrader5",            "isDemo": true,            "terminalUrl": "https://example.com"          },          "priority": 1,          "statement": {            "availableBalance": "1.000000000000000000",            "currentBalance": "1.000000000000000000",            "credit": "1.000000000000000000",            "equity": "1.000000000000000000",            "freeMargin": "1.000000000000000000",            "hold": "1.000000000000000000",            "margin": "1.000000000000000000",            "marginLevel": "1.000000000000000000",            "pnl": "1.000000000000000000",            "updateTime": "2022-01-01T00:00:00+00:00"          },          "type": "trade",          "createTime": "2022-01-01T00:00:00+00:00",          "permissions": [            "deposit"          ],          "productId": 1,          "leverage": 100,          "productCurrency": {            "id": 1,            "caption": "USD",            "product": {              "id": 1,              "type": "personal",              "name": "MT5 Live",              "caption": "MT5 Live",              "group": {                "id": 1,                "caption": "Fiat",                "description": "Fiat",                "type": "default",                "priority": 0,                "createTime": "2022-01-01T00:00:00+00:00",                "updateTime": "2022-01-01T00:00:00+00:00"              },              "platform": {                "id": 1,                "caption": "MetaTrader5 Live",                "shortCaption": "MT5",                "name": "mt5",                "class": "MetaTrader5",                "isDemo": true              }            },            "currency": {              "alphabeticCode": "USD",              "minorUnit": 2,              "name": "US Dollar",              "numericCode": 840            },            "factory": 1,            "variants": {              "startAmounts": [                "100.00"              ],              "leverages": [                0              ]            },            "platformGroups": [              "string"            ],            "isHedgingEnabled": true,            "maxAccounts": 1,            "permissions": [              "deposit"            ],            "priority": 1,            "linkInfo": "https://example.com",            "agreementLink": "https://example.com",            "minDepositAmount": "100.00"          },          "credentials": {            "type": "MetaTrader4",            "data": {              "login": "12345678",              "masterPassword": "Aa1!secret",              "investorPassword": "Aa1!invest"            }          }        },        "amount": "100.000000000000000000",        "commission": "0.000000000000000000",        "currency": {          "alphabeticCode": "USD",          "minorUnit": 2,          "name": "US Dollar",          "numericCode": 840        }      },      "foreignExchangeRate": "1.000000000000000000",      "method": {        "id": 1,        "name": "B2BinPay"      },      "blockchainTransactionAddress": "0x8a1b3dbe6301650442bfa765d4de23775fc9a4ec4329ebb5995ec7f1e3777dc4",      "blockExplorerUrl": "https://etherscan.io/tx/0x8a1b3dbe6301650442bfa765d4de23775fc9a4ec4329ebb5995ec7f1e3777dc4",      "resolution": {        "id": 1,        "name": "Rejected"      },      "status": "done",      "type": "deposit",      "wallet": {        "address": "2MvY3VWMEK3JM41a6gzuUGRMd2AQqp4AJrn",        "message": 12345678      },      "createTime": "2022-01-01T00:00:00+00:00",      "updateTime": "2022-01-01T00:00:00+00:00"    }  ]}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Not Found"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}